openhtj2k::T1OpenHTJ2K Class Reference

`#include <T1OpenHTJ2K.h>`

Inheritance diagram for openhtj2k::T1OpenHTJ2K:

## Public Member Functions

| T1OpenHTJ2K (bool isCompressor, grk::TileCodingParams *tcp, uint32_t maxCblkW, uint32_t maxCblkH)
virtual | ~T1OpenHTJ2K ()
bool | compress (grk::CompressBlockExec *block)
bool | decompress (grk::DecompressBlockExec *block)
Public Member Functions inherited from grk::T1Interface
virtual | ~T1Interface ()=default

## Private Member Functions

void | preCompress (grk::CompressBlockExec *block, grk::Tile *tile)
bool | postProcess (grk::DecompressBlockExec *block)

## Private Attributes

uint32_t | coded_data_size
uint8_t * | coded_data
uint32_t | unencoded_data_size
int32_t * | unencoded_data

## Constructor & Destructor Documentation

## T1OpenHTJ2K()

openhtj2k::T1OpenHTJ2K::T1OpenHTJ2K | ( | bool | isCompressor,
|  | grk::TileCodingParams * | tcp,
|  | uint32_t | maxCblkW,
|  | uint32_t | maxCblkH
| ) |  |

## ~T1OpenHTJ2K()

openhtj2k::T1OpenHTJ2K::~T1OpenHTJ2K | ( |  | ) |

virtual

References coded_data, and unencoded_data.

## Member Function Documentation

## compress()

bool openhtj2k::T1OpenHTJ2K::compress | ( | grk::CompressBlockExec * | block | ) |

virtual

Implements grk::T1Interface.

References grk::BlockExec::bandOrientation, grk::CompressBlockExec::cblk, grk::BlockExec::cblk_sty, htj2k_encode(), preCompress(), grk::CompressBlockExec::tile, and unencoded_data.

## decompress()

bool openhtj2k::T1OpenHTJ2K::decompress | ( | grk::DecompressBlockExec * | block | ) |

virtual

Implements grk::T1Interface.

References grk::BlockExec::bandOrientation, grk::DecompressBlockExec::cblk, grk::BlockExec::cblk_sty, coded_data, coded_data_size, htj2k_decode(), grk::BlockExec::k_msbs, grk::TileComponent::postProcessHT(), grk::BlockExec::qmfbid, grk::BlockExec::R_b, grk::BlockExec::stepsize, grk::BlockExec::tilec, unencoded_data, and grk::grk_rect< T >::width().

## postProcess()

bool openhtj2k::T1OpenHTJ2K::postProcess | ( | grk::DecompressBlockExec * | block | ) |

private

## preCompress()

void openhtj2k::T1OpenHTJ2K::preCompress | ( | grk::CompressBlockExec * | block,
|  | grk::Tile * | tile
| ) |  |

private

References unencoded_data.

Referenced by compress().

## Member Data Documentation

## coded_data

uint8_t* openhtj2k::T1OpenHTJ2K::coded_data

private

Referenced by decompress(), and ~T1OpenHTJ2K().

## coded_data_size

uint32_t openhtj2k::T1OpenHTJ2K::coded_data_size

private

Referenced by decompress().

## unencoded_data

int32_t* openhtj2k::T1OpenHTJ2K::unencoded_data

private

Referenced by compress(), decompress(), preCompress(), and ~T1OpenHTJ2K().

## unencoded_data_size

uint32_t openhtj2k::T1OpenHTJ2K::unencoded_data_size

private

The documentation for this class was generated from the following files:

- T1OpenHTJ2K.h
- T1OpenHTJ2K.cpp